Package org.apache.sysds.runtime.util

## Class PoissonPRNGenerator

- java.lang.Object
- - org.apache.sysds.runtime.util.PRNGenerator
  - - org.apache.sysds.runtime.util.PoissonPRNGenerator

    public class PoissonPRNGenerator
    extends PRNGenerator

Class that can generate a stream of random numbers from Poisson distribution with specified mean.

### Constructor Summary

Constructors
`PoissonPRNGenerator()`
`PoissonPRNGenerator​(double mean)`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `nextDouble()`
`void` `setMean​(double mean)`
`void` `setSeed​(long sd)`
`void` `setup​(double mean, long sd)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PoissonPRNGenerator

    public PoissonPRNGenerator()

#### PoissonPRNGenerator

    public PoissonPRNGenerator​(double mean)

### Method Detail

#### setup

    public void setup​(double mean,
                      long sd)

#### setSeed

    public void setSeed​(long sd)

Specified by:
  `setSeed` in class `PRNGenerator`

#### setMean

    public void setMean​(double mean)

#### nextDouble

    public double nextDouble()

Specified by:
  `nextDouble` in class `PRNGenerator`